/// class PD.Manage.Modules.OverviewDescription
// using PD.Web.UI.Controls.Control

PD.Manage.Modules.OverviewDescription =
PD.Web.UI.Controls.Control.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    load: function (label, description) {
        
        var $node = this.get_node();

        $node.empty();

        if (label) {
            $node.append("<div style='font-weight:bold;margin-bottom:5px;'>" + label + "</div>");
        }

        if (description) {
            $node.append("<div>" + description + "</div>");
        }

    },

    //===================================
    // PROTECTED METHODS
    //===================================

    template: function () {
        return "<div class='-pd-overview-area-desc'></div>";
    }

});